Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233352 - Review Request: funtools - FITS library and utilities
Summary: Review Request: funtools - FITS library and utilities
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-21 19:26 UTC by Sergio Pascual
Modified: 2008-07-17 00:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-27 14:47:43 UTC
jochen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
log file from local build (deleted)
2007-03-21 20:35 UTC, Jochen Schmitt
no flags Details
build log from local build (deleted)
2007-03-22 18:09 UTC, Jochen Schmitt
no flags Details

Description Sergio Pascual 2007-03-21 19:26:36 UTC
Spec URL: http://t-rex.fis.ucm.es/~spr/funtools.spec
SRPM URL: http://t-rex.fis.ucm.es/~spr/funtools-1.3.0-0.1.b29.fc6.src.rpm
Description: 
Funtools is a "minimal buy-in" FITS library and utility package from the SAO/HEAD R&D group. The Funtools library provides simplified access to 
FITS images and binary tables, as well as to raw array and binary event lists. 
The Funtools utilities provide high-level support for processing 
astronomical data.

Comment 1 Jochen Schmitt 2007-03-21 20:35:07 UTC
Created attachment 150626 [details]
log file from local build

Comment 2 Jochen Schmitt 2007-03-21 20:36:10 UTC
God:
+ Naming seems ok.
+ Tar ball matches with upstream.

Bad:
- Local build fails, please see attached build.log

Comment 3 Sergio Pascual 2007-03-22 17:25:40 UTC
It has to be a problem with the x86_64 arch, because I tested that it builds in
mock, but only for i386.

Could you test if this new version builds? I have added some minor fixes.

http://t-rex.fis.ucm.es/~spr/funtools.spec
http://t-rex.fis.ucm.es/~spr/funtools-1.3.0-0.2.b29.fc6.src.rpm


Comment 4 Jochen Schmitt 2007-03-22 18:09:26 UTC
Created attachment 150683 [details]
build log from local build

It's seem not to bee an x64 specific problem.

Comment 5 Mamoru TASAKA 2007-03-23 06:57:32 UTC
(In reply to comment #4)
> Created an attachment (id=150683) [edit]
> build log from local build
> 
> It's seem not to bee an x64 specific problem.

Looks like a parallel make problem.

Not always reproducible for me, however one time
mockbuild failed with -j4.
What happens if you drop parallel make support (i.e.
delete %{?_smp_mflags})?

Comment 6 Sergio Pascual 2007-03-23 10:16:42 UTC
Yes, the problem is there. I have tested the srpm with multiprocessor machines
and I get the same failed build.

This is the rpm with the parallel make flag removed

http://t-rex.fis.ucm.es/~spr/funtools.spec
http://t-rex.fis.ucm.es/~spr/funtools-1.3.0-0.3.b29.fc6.src.rpm

Comment 7 Jochen Schmitt 2007-03-25 18:41:41 UTC
Good:
+ Local build works fine.
+ Rpmlint quite on source rpm.
+ Rpmlint quite on binary rpm.
+ Rpmlint quite on Debuginfo rpm.
+ License Ok.
+ Package contains verbartin copy of the license.
+ Mock build works fine.


Bad:
- Rpmlint complaints installed package:
rpmlint funtools
W: funtools undefined-non-weak-symbol /usr/lib64/libtclfun.so.1.0 sqrt
W: funtools undefined-non-weak-symbol /usr/lib64/libtclfun.so.1.0
Tcl_GetStringFromObj
W: funtools undefined-non-weak-symbol /usr/lib64/libtclfun.so.1.0 Tcl_ResetResult
W: funtools undefined-non-weak-symbol /usr/lib64/libtclfun.so.1.0
Tcl_CreateObjCommand
W: funtools undefined-non-weak-symbol /usr/lib64/libtclfun.so.1.0 gzopen
W: funtools undefined-non-weak-symbol /usr/lib64/libtclfun.so.1.0 gzclose
W: funtools undefined-non-weak-symbol /usr/lib64/libtclfun.so.1.0 Tcl_SetStringObj
W: funtools undefined-non-weak-symbol /usr/lib64/libtclfun.so.1.0 Tcl_GetObjResult
W: funtools undefined-non-weak-symbol /usr/lib64/libtclfun.so.1.0 Tcl_PkgProvide
Please forward this problem to the upstream author.
- rpmlint funtools
W: funtools undefined-non-weak-symbol /usr/lib64/libtclfun.so.1.0 sqrt
W: funtools undefined-non-weak-symbol /usr/lib64/libtclfun.so.1.0
Tcl_GetStringFromObj
W: funtools undefined-non-weak-symbol /usr/lib64/libtclfun.so.1.0 Tcl_ResetResult
W: funtools undefined-non-weak-symbol /usr/lib64/libtclfun.so.1.0
Tcl_CreateObjCommand
W: funtools undefined-non-weak-symbol /usr/lib64/libtclfun.so.1.0 gzopen
W: funtools undefined-non-weak-symbol /usr/lib64/libtclfun.so.1.0 gzclose
W: funtools undefined-non-weak-symbol /usr/lib64/libtclfun.so.1.0 Tcl_SetStringObj
W: funtools undefined-non-weak-symbol /usr/lib64/libtclfun.so.1.0 Tcl_GetObjResult
W: funtools undefined-non-weak-symbol /usr/lib64/libtclfun.so.1.0 Tcl_PkgProvide
Thats Ok, becouse package has problem with parallel build. Please forward this
problem to the upstream.
- Please put a comment on the SPEC file, that parallel build won't works.

*** APPROVED ***

Comment 8 Ville Skyttä 2007-03-25 19:03:00 UTC
(In reply to comment #7)
[...]
> W: funtools undefined-non-weak-symbol /usr/lib64/libtclfun.so.1.0 Tcl_PkgProvide
> Thats Ok, becouse package has problem with parallel build.

What does parallel build have to do with undefined non-weak symbols in the first
place, and why would a broken parallel build make them acceptable?


Comment 9 Jochen Schmitt 2007-03-25 19:36:05 UTC
Nothing,

Perhaps I have wrote the issues in an unclearly manner.



Comment 10 Sergio Pascual 2007-03-26 08:57:59 UTC
Hello, this new version of the rpm:

http://t-rex.fis.ucm.es/~spr/funtools.spec
http://t-rex.fis.ucm.es/~spr/funtools-1.3.0-0.4.b29.fc6.src.rpm

makes the warnings disappear. I have commented the issue with parallel make
inside the spec file and I will communicate it to upstream.

Comment 11 Sergio Pascual 2007-03-27 07:41:32 UTC
New Package CVS Request
=======================
Package Name: fntools
Short Description: FITS library and utilities
Owners: spr@astrax.fis.ucm.es
Branches: FC-5 FC-6
InitialCC:

Comment 12 Jens Petersen 2007-03-27 12:49:41 UTC
done (with corrected package name)

Comment 13 Sergio Pascual 2008-07-16 19:38:37 UTC
Package Change Request
======================
Package Name: funtools
New Branches: EL-5


Comment 14 Kevin Fenzi 2008-07-17 00:09:47 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.